(function () {
  var scShare = function ({ element, options = {} }) {
    if (element) {
      var container = document.getElementById(element);
      var imageSC = new Image();
      imageSC.id = "scIcon";
      imageSC.src = "./screenshot.png";
      imageSC.style.height = "20px";
      imageSC.style.width = "20px";
      imageSC.style.position = "absolute";
      imageSC.style.cursor = "pointer";
      imageSC.crossOrigin = "anonymous";
      imageSC.onclick = function () {
        initializeShare({ element, options });
      };
      container.appendChild(imageSC);
      //   const parentContainer = document.createElement("div");
      //   console.log(container, parentContainer);
    }
  };

  function initializeShare({ element, options }) {
    var container = document.getElementById(element);
    html2canvas(container, {
      allowTaint: true,
      useCORS: true,
    }).then(async (canvas) => {
      var base64url = canvas.toDataURL("image/png");
      var response = await fetch(base64url);
      var blob = await response.blob();
      var filesArray = [
        new File([blob], "sc.jpg", {
          type: "image/jpeg",
          lastModified: new Date().getTime(),
        }),
      ];
      var shareData = {
        files: filesArray,
        ...options,
      };
      try {
        navigator.share(shareData);
      } catch (error) {
        console.error("Navigator share is not supported", error);
      }
    });
  }

  var init = "initScShare";
  if (typeof window !== "undefined" && typeof window[init] !== "function") {
    window[init] = scShare;
  }
})();
